package com.weChatmarket.page;

import java.io.Serializable;
import java.util.Map;

/**
 * 分页查询参数
 * 
 * @author 小威老师
 *
 */
public class PageTableRequest implements Serializable {

	private static final long serialVersionUID = 7328071045193618467L;
	// 后添加的用这个
	private Integer offset;
	// 原系统用
	private Integer sysOffset;
	private Integer limit;
	private Map<String, Object> params;

	public Integer getSysOffset() {
		return offset;
	}

	public void setSysOffset(Integer sysOffset) {
		this.sysOffset = sysOffset;
	}

	public Integer getOffset() {
		return offset / this.limit + 1;
	}

	public void setOffset(Integer offset) {

		this.offset = offset;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Map<String, Object> getParams() {
		return params;
	}

	public void setParams(Map<String, Object> params) {
		this.params = params;
	}
}
