package com.weChatmarket.service;

import java.util.List;

import com.weChatmarket.domain.WxShopType;
import com.weChatmarket.dto.WxShopTypeLableDto;
import com.weChatmarket.page.BasePage;

/**
 * 商铺种类表 create by dongshize
 */
public interface WxShopTypeService extends BaseService<WxShopType> {

	public boolean checkWxShopType(Long pId, String typeName);

	public void addOrUpdateWxShopType(Long id, Long pId, String typeName);

	public WxShopType makeWxShopType(Long id, Long pId, String typeName, Integer status);

	public BasePage<WxShopType> typePageList(Integer pageNum, Integer pageSize);

	public WxShopType findWxShopTypeById(Long id);

	public void updateStatusById(Long id, Long pId);

	public BasePage<WxShopType> lablePageList(Integer pageNum, Integer pageSize,Long pId);

	public List<WxShopType> lableList(Long pId);
	
	public List<WxShopTypeLableDto> wxTypeLableList();

	public List<WxShopType> typeList(String typename);

}
