package com.weChatmarket.util;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

import org.apache.commons.io.IOUtils;
import org.springframework.web.multipart.MultipartFile;

public class FileUtil {
	public static String uploadFile(MultipartFile file, String filePath) {
		String fileId = "";
		try {
			Long currentTime = System.currentTimeMillis();
			String fileName = file.getOriginalFilename();
			fileId = currentTime + "-" + fileName;
			String str = filePath + fileId;
			File saveFile = new File(str);
			OutputStream outputStream = new FileOutputStream(saveFile);
			IOUtils.copy(file.getInputStream(), outputStream);
		} catch (IOException e) {
			e.printStackTrace();
		}
		return fileId;
	}

}
